Bug 1029938 - WFLY-2474 clone - Security subsystem does not handle acl's module properly, and is missing transformer
WFLY-2474 clone - Security subsystem does not handle acl's module properly, a...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR6
: EAP 6.3.0
Assigned To: Tomaz Cerar
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 09:55 EST by Ondrej Lukas
Modified: 2017-10-09 20:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:25:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2474 Major Resolved Security subsystem does not handle acl's module properly, and is missing transformer 2014-06-03 19:53:17 EDT

  None (edit)
Description Ondrej Lukas 2013-11-13 09:55:08 EST
https://issues.jboss.org/browse/WFLY-2474

The parsed add is done for /subsystem=security/security-domain=other/acl=classic/acl-module=acl

However in the acl resource this is called login-module=acl.

WHen marshalling

	<acl>
	   <acl-module name="acl" code="AclThingy" flag="required" module="test">
                <module-option name="d" value="r"/>
	   </acl-module>
	</acl>

becomes

	<acl>
	   <login-module name="acl" code="AclThingy" flag="required" module="test">
                <module-option name="d" value="r"/>
	   </login-module>
	</acl>
Comment 1 Brian Stansberry 2013-11-13 10:05:06 EST
What's the "and is missing transformer" bit in the title about?
Comment 5 Kabir Khan 2013-11-19 10:38:32 EST
(In reply to Brian Stansberry from comment #1)
> What's the "and is missing transformer" bit in the title about?

The ACL stuff was not getting transformed at all
Comment 6 JBoss JIRA Server 2013-12-16 14:40:52 EST
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2474 to Resolved
Comment 9 Ondrej Lukas 2014-03-28 04:56:19 EDT
Verified on EAP 6.3.0.DR6

Note You need to log in before you can comment on or make changes to this bug.